package zr.zrpower.entity.sys;

import zr.zrpower.common.db.*;

/**
 *
 * <p>Title: ZRPower</p>
 *
 * <p>Description: 数据表实体映射包</p>
 *
 * <p>单元名称：BPIP_USER.java</p>
 *
 * <p>中文解释：用户表数据实体类</p>
 *
 * <p>作用：将数据库表用户表映射为Java类，作为数据传输的载体。</p>
 *
 *
 * @author Java实体生成器
 * 
 *
 */
public class SessionUser extends dbEntity {

  /**
   *构造函数
   */
  public SessionUser() {
     super();
     initialize();
  }

  /**
   *初始化函数
   */
  protected void  initialize(){
     this.dbrow.setTableName("PIP_USER_SESSION");
     this.dbrow.addColumn("LoginID",null,dbType.STRING);                         //登录名
     this.dbrow.addColumn("Name",null,dbType.STRING);                            //姓名
     this.dbrow.addColumn("UserID",null,dbType.STRING);                          //用户编号
     this.dbrow.addColumn("LCODE",null,dbType.STRING);                           //用户内部编号

     this.dbrow.addColumn("UnitName",null,dbType.STRING);                        //所在单位名称
     this.dbrow.addColumn("UnitID",null,dbType.STRING);                          //所在单位编号
     this.dbrow.addColumn("Face",null,dbType.STRING);                            //头像

     this.dbrow.addColumn("UserCSS",null,dbType.STRING);                          //用户的css样式
     this.dbrow.addColumn("UserImage",null,dbType.STRING);                        //用户的图片(肤色)文件夹
     this.dbrow.addColumn("UserIndexColor",null,dbType.STRING);                   //用户的框架边框颜色
     this.dbrow.addColumn("UserPageSize",null,dbType.LONG);                       //用户每页显示的记录数
     this.dbrow.addColumn("WINDOWTYPE",null,dbType.STRING);                       //用户的界面样式
     this.dbrow.addColumn("UserFileID",null,dbType.STRING);                       //用户附件ID
     this.dbrow.addColumn("WebEditCss",null,dbType.STRING);                       //用户在线编辑器的样式

     this.dbrow.addColumn("Custom1",null,dbType.STRING);                          //自定义1
     this.dbrow.addColumn("Custom2",null,dbType.STRING);                          //自定义2
     this.dbrow.addColumn("Custom3",null,dbType.STRING);                          //自定义3
     this.dbrow.addColumn("Custom4",null,dbType.STRING);                          //自定义4
     this.dbrow.addColumn("Custom5",null,dbType.STRING);                          //自定义5


  }

  //======================================================
  //[用户编号]属性
  //======================================================
  public String getUserID() {
     return this.dbrow.Column("UserID").getString();
  }
  public void setUserID(String UserID) {
     this.dbrow.Column("UserID").setValue(UserID);
  }

  //======================================================
  //[登录名]属性
  //======================================================
  public String getLoginID() {
     return this.dbrow.Column("LoginID").getString();
  }
  public void setLoginID(String LoginID) {
     this.dbrow.Column("LoginID").setValue(LoginID);
  }

  //======================================================
  //[姓名]属性
  //======================================================
  public String getName() {
     return this.dbrow.Column("Name").getString();
  }
  public void setName(String Name) {
     this.dbrow.Column("Name").setValue(Name);
  }

  //======================================================
  //[所在单位名称]属性
  //======================================================
  public String getUnitName() {
     return this.dbrow.Column("UnitName").getString();
  }
  public void setUnitName(String UnitName) {
     this.dbrow.Column("UnitName").setValue(UnitName);
  }


  //======================================================
  //[所在单位编号]属性
  //======================================================
  public String getUnitID() {
     return this.dbrow.Column("UnitID").getString();
  }
  public void setUnitID(String UnitID) {
     this.dbrow.Column("UnitID").setValue(UnitID);
  }

  //======================================================
  //[用户内部编号]属性
  //======================================================
  public String getLCODE() {
     return this.dbrow.Column("LCODE").getString();
  }
  public void setLCODE(String LCODE) {
     this.dbrow.Column("LCODE").setValue(LCODE);
  }

  //======================================================
  //[用户头像]属性
  //======================================================
  public String getFace() {
     return this.dbrow.Column("Face").getString();
  }
  public void setFace(String Face) {
     this.dbrow.Column("Face").setValue(Face);
  }

  //======================================================
  //[用户的css样式]属性
  //======================================================
  public String getUserCSS() {
     return this.dbrow.Column("UserCSS").getString();
  }
  public void setUserCSS(String UserCSS) {
     this.dbrow.Column("UserCSS").setValue(UserCSS);
  }


  //======================================================
    //[用户的图片(肤色)文件夹]属性
    //======================================================
    public String getUserImage() {
       return this.dbrow.Column("UserImage").getString();
    }
    public void setUserImage(String UserImage) {
       this.dbrow.Column("UserImage").setValue(UserImage);
  }
  //======================================================
    //[用户的框架边框颜色]属性
    //======================================================
    public String getUserIndexColor() {
       return this.dbrow.Column("UserIndexColor").getString();
    }
    public void setUserIndexColor(String UserIndexColor) {
       this.dbrow.Column("UserIndexColor").setValue(UserIndexColor);
  }
  //======================================================
  //[用户每页显示的记录数]属性
  //======================================================
      public int getUserPageSize() {
         return this.dbrow.Column("UserPageSize").getInteger();
      }
      public void setUserPageSize(int UserPageSize) {
         this.dbrow.Column("UserPageSize").setValue(Integer.toString(UserPageSize));
  }

  //======================================================
  //[用户界面样式]属性
  //======================================================
      public String getUserWINDOWTYPE() {
         return this.dbrow.Column("WINDOWTYPE").getString();

      }
      public void setUserWINDOWTYPE(String UserWINDOWTYPE) {
         this.dbrow.Column("WINDOWTYPE").setValue(UserWINDOWTYPE);
  }


  //======================================================
  //[用户的文件ID]属性
  //======================================================
  public String getUserFileID() {
    return this.dbrow.Column("UserFileID").getString();
  }
  public void setUserFileID(String UserFileID) {
    this.dbrow.Column("UserFileID").setValue(UserFileID);
  }

//======================================================
//[用户的文件ID]属性
//======================================================
  public String getWebEditCss() {
    return this.dbrow.Column("WebEditCss").getString();
  }

  public void setWebEditCss(String WebEditCss) {
    this.dbrow.Column("WebEditCss").setValue(WebEditCss);
  }

//======================================================
//[自定义参数1]属性
//======================================================
public String getCustom1() {
       return this.dbrow.Column("Custom1").getString();
}
public void setCustom1(String Custom1) {
       this.dbrow.Column("Custom1").setValue(Custom1);
}
//======================================================
//[自定义参数2]属性
//======================================================
public String getCustom2() {
       return this.dbrow.Column("Custom2").getString();
}
public void setCustom2(String Custom2) {
       this.dbrow.Column("Custom2").setValue(Custom2);
}

//======================================================
//[自定义参数3]属性
//======================================================
public String getCustom3() {
       return this.dbrow.Column("Custom3").getString();
}
public void setCustom3(String Custom3) {
       this.dbrow.Column("Custom3").setValue(Custom3);
}
//======================================================
//[自定义参数4]属性
//======================================================
public String getCustom4() {
       return this.dbrow.Column("Custom4").getString();
}
public void setCustom4(String Custom4) {
       this.dbrow.Column("Custom4").setValue(Custom4);
}
//======================================================
//[自定义参数5]属性
//======================================================
public String getCustom5() {
       return this.dbrow.Column("Custom5").getString();
}
public void setCustom5(String Custom5) {
       this.dbrow.Column("Custom5").setValue(Custom5);
}

}
